Subject: Bug#804: [X2Go-Dev] Bug#804: slot argument mismatch in ONMainWindow::slotTunnelOk causes hang during connect

From: Will Wagner <[email-masked]>
Date: Thu, 12 Mar 2015 13:09:41 +0000

On 10/03/2015 16:22, Mihai Moldovan wrote:
> Yes. The problem at hand is that this parameter is purely optional
> anyway and never used.
>
> I totally missed that "this" in that context does not refer to
> slotTunnelOk(int) but QSingleShotTimer::timeout(), which has no parameter.
>
> http://code.x2go.org/releases/binary-win32/x2goclient/tmp/x2goclient-4.0.4.0-2015.03.10-ffc56f3-setup.exe

Have test repeatedly and I can't make it go wrong any more. Thanks for 
fixing this.

Regards
Will

-- 
------------------------------------------------------------------------
Will Wagner                                     [email-masked]
Development Manager                      Office Tel: +44 (0)20 7471 9224
Carallon Ltd, Studio G20, Shepherds Building, Rockley Rd, London W14 0DA
------------------------------------------------------------------------